Show / Hide Table of Contents

# Class MarketBoardCurrentOfferings.MarketBoardItemListing.ItemMateria

This represents the materia slotted to an MarketBoardCurrentOfferings.MarketBoardItemListing.

##### Inheritance

System.Object
MarketBoardCurrentOfferings.MarketBoardItemListing.ItemMateria

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Network.Structures

###### Assembly: Dalamud.dll

##### Syntax

    public class ItemMateria

### Properties

| Improve this Doc View Source

#### Index

Gets the materia index.

##### Declaration

    public int Index { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MateriaId

Gets the materia ID.

##### Declaration

    public int MateriaId { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |